CachingWrapperFilter.DeletesMode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.CachingWrapperFilter.DeletesMode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.search
Enum CachingWrapperFilter.DeletesMode

    java.lang.Object
      java.lang.Enum<CachingWrapperFilter.DeletesMode>
          org.apache.lucene.search.CachingWrapperFilter.DeletesMode

All Implemented Interfaces:
  Serializable, Comparable<CachingWrapperFilter.DeletesMode>

Enclosing class:
  CachingWrapperFilter

    public static enum CachingWrapperFilter.DeletesMode

extends Enum<CachingWrapperFilter.DeletesMode>

Expert: Specifies how new deletions against a reopened reader should be handled.

The default is IGNORE, which means the cache entry will be re-used for a given segment, even when that segment has been reopened due to changes in deletions. This is a big performance gain, especially with near-real-timer readers, since you don't hit a cache miss on every reopened reader for prior segments.

However, in some cases this can cause invalid query results, allowing deleted documents to be returned. This only happens if the main query does not rule out deleted documents on its own, such as a toplevel ConstantScoreQuery. To fix this, use RECACHE to re-create the cached filter (at a higher per-reopen cost, but at faster subsequent search performance), or use DYNAMIC to dynamically intersect deleted docs (fast reopen time but some hit to search performance).

Enum Constant Summary
`DYNAMIC`
`IGNORE`
`RECACHE`

Method Summary
`static CachingWrapperFilter.DeletesMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CachingWrapperFilter.DeletesMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IGNORE

    public static final CachingWrapperFilter.DeletesMode IGNORE

### RECACHE

    public static final CachingWrapperFilter.DeletesMode RECACHE

### DYNAMIC

    public static final CachingWrapperFilter.DeletesMode DYNAMIC

Method Detail

### values

    public static final CachingWrapperFilter.DeletesMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CachingWrapperFilter.DeletesMode c : CachingWrapperFilter.DeletesMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CachingWrapperFilter.DeletesMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD